summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--debian/changelog17
-rw-r--r--debian/control4
-rw-r--r--debian/patches/00list1
-rw-r--r--debian/patches/09_x_zap_flush_stdout.dpatch62
-rw-r--r--debian/watch2
5 files changed, 83 insertions, 3 deletions
diff --git a/debian/changelog b/debian/changelog
index f044485..b2b6b7d 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,20 @@
+linuxtv-dvb-apps (1.1.0-11) unstable; urgency=low
+
+ * Thomas Schmidt <tschmidt@debian.org>
+ - Added 09_x_zap_flush_stdout.dpatch - make [stc]zap flush stdout
+ after writing status line (closes: #357126)
+ - Fixed spelling mistake in package description (closes: #363364)
+ - Fixed debian/watch
+
+ -- Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org> Sat, 29 Apr 2006 21:42:54 +0200
+
+linuxtv-dvb-apps (1.1.0-10) unstable; urgency=low
+
+ * Thomas Schmidt <tschmidt@debian.org>
+ - Depend on makedev | udev
+
+ -- Thomas Schmidt <tschmidt@debian.org> Thu, 29 Dec 2005 14:33:17 +0100
+
linuxtv-dvb-apps (1.1.0-9) unstable; urgency=low
* Thomas Schmidt <tschmidt@debian.org>
diff --git a/debian/control b/debian/control
index ad81385..0a0b6ee 100644
--- a/debian/control
+++ b/debian/control
@@ -8,7 +8,7 @@ Standards-Version: 3.6.2.1
Package: dvb-utils
Architecture: any
-Depends: ${shlibs:Depends}, makedev (>=2.3.1-66)
+Depends: ${shlibs:Depends}, makedev (>=2.3.1-66) | udev
Provides: dvb-zapping
Conflicts: dvb-zapping
Replaces: dvb-zapping
@@ -17,7 +17,7 @@ Description: Viewer programs for DVB cards
.
av7110_loadkeys - tool to load keyfiles of ir-remotes
evtest - find out events-keys to generate a keyfile for your remote
- femon - monitor the singal-strength... of your card
+ femon - monitor the signal-strength... of your card
scan - scan all transponders and generate a channels.conf
czap - simple zapping tool for the Linux DVB API (DVB-C-Cards)
szap - simple zapping tool for the Linux DVB API (DVB-S-Cards)
diff --git a/debian/patches/00list b/debian/patches/00list
index f0aa1d5..1b11212 100644
--- a/debian/patches/00list
+++ b/debian/patches/00list
@@ -6,3 +6,4 @@
06_freeview_channel_numbers
07_vdr_output
08_debug_minor_fixes
+09_x_zap_flush_stdout
diff --git a/debian/patches/09_x_zap_flush_stdout.dpatch b/debian/patches/09_x_zap_flush_stdout.dpatch
new file mode 100644
index 0000000..1f5d5d1
--- /dev/null
+++ b/debian/patches/09_x_zap_flush_stdout.dpatch
@@ -0,0 +1,62 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+
+## 09_x_zap_flush_stdout.dpatch by Sebastian Schmidt <yath@yath.de>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Make [stc]zap flush stdout after writing status line
+
+@DPATCH@
+diff -urNad linuxtv-dvb-apps-1.1.0/util/szap/czap.c /tmp/dpep.ENs8EE/linuxtv-dvb-apps-1.1.0/util/szap/czap.c
+--- linuxtv-dvb-apps-1.1.0/util/szap/czap.c 2004-04-22 13:09:11.000000000 +0200
++++ /tmp/dpep.ENs8EE/linuxtv-dvb-apps-1.1.0/util/szap/czap.c 2006-04-29 21:50:18.955710000 +0200
+@@ -243,9 +243,10 @@
+ if (status & FE_HAS_LOCK)
+ printf("FE_HAS_LOCK");
+
+- usleep(1000000);
++ printf("\n");
++ fflush(stdout);
+
+- printf("\n");
++ usleep(1000000);
+ } while (1);
+
+ return 0;
+diff -urNad linuxtv-dvb-apps-1.1.0/util/szap/femon.c /tmp/dpep.ENs8EE/linuxtv-dvb-apps-1.1.0/util/szap/femon.c
+--- linuxtv-dvb-apps-1.1.0/util/szap/femon.c 2004-04-22 13:09:12.000000000 +0200
++++ /tmp/dpep.ENs8EE/linuxtv-dvb-apps-1.1.0/util/szap/femon.c 2006-04-29 21:50:18.955710000 +0200
+@@ -81,6 +81,7 @@
+ printf("FE_HAS_LOCK");
+
+ printf("\n");
++ fflush(stdout);
+ usleep(1000000);
+ } while (1);
+
+diff -urNad linuxtv-dvb-apps-1.1.0/util/szap/szap.c /tmp/dpep.ENs8EE/linuxtv-dvb-apps-1.1.0/util/szap/szap.c
+--- linuxtv-dvb-apps-1.1.0/util/szap/szap.c 2004-04-22 13:09:12.000000000 +0200
++++ /tmp/dpep.ENs8EE/linuxtv-dvb-apps-1.1.0/util/szap/szap.c 2006-04-29 21:50:18.959710250 +0200
+@@ -216,6 +216,7 @@
+ if (status & FE_HAS_LOCK)
+ printf("FE_HAS_LOCK");
+ printf("\n");
++ fflush(stdout);
+
+ if (exit_after_tuning && ((status & FE_HAS_LOCK) || (++timeout >= 10)))
+ break;
+diff -urNad linuxtv-dvb-apps-1.1.0/util/szap/tzap.c /tmp/dpep.ENs8EE/linuxtv-dvb-apps-1.1.0/util/szap/tzap.c
+--- linuxtv-dvb-apps-1.1.0/util/szap/tzap.c 2004-04-22 13:09:12.000000000 +0200
++++ /tmp/dpep.ENs8EE/linuxtv-dvb-apps-1.1.0/util/szap/tzap.c 2006-04-29 21:50:18.959710250 +0200
+@@ -362,9 +362,10 @@
+ if (status & FE_HAS_LOCK)
+ printf("FE_HAS_LOCK");
+
+- usleep(1000000);
++ printf("\n");
++ fflush(stdout);
+
+- printf("\n");
++ usleep(1000000);
+ } while (1);
+
+ return 0;
diff --git a/debian/watch b/debian/watch
index 61f88aa..aada4bb 100644
--- a/debian/watch
+++ b/debian/watch
@@ -1,2 +1,2 @@
version=2
-http://www.linuxtv.org/download/ linuxtv-dvb-apps.*-([\d+\.]+|\d+)\.tar(\.gz|\.bz2) debian uupdate
+http://www.linuxtv.org/download/ linuxtv-dvb-apps.*-([\d+\.]+|\d+)\.tar\.bz2
a023a637742838187141b12a7&follow=1'>[lcd4linux @ 2004-05-31 06:24:42 by reinelt]reinelt2-7/+29 fixed symlink security issue with the image driver 2004-05-31[lcd4linux @ 2004-05-31 05:38:02 by reinelt]reinelt8-42/+94 fixed possible bugs with user-defined chars (clear high bits) thanks to Andy Baxter for debugging the MilfordInstruments driver! 2004-05-31[lcd4linux @ 2004-05-31 01:31:01 by andy-b]andy-b1-10/+12 fixed bug in Milford Instruments driver which drew extra graphics chars in odd places when drawing double bars. (the display doesn't like it if you put the escape character 0xfe inside a define char sequence). 2004-05-30[lcd4linux @ 2004-05-30 08:25:50 by reinelt]reinelt2-30/+92 Crystalfontz 631 driver finished 2004-05-29[lcd4linux @ 2004-05-29 23:30:20 by reinelt]reinelt1-1/+9 fixed a compiler issue with drv_Image.c (thanks to Frank Stratmann) 2004-05-29[lcd4linux @ 2004-05-29 15:53:28 by reinelt]reinelt3-9/+25 M50530: reset parport signals on exit plugin_ppp: ppp() has two parameters, not three lcd4linux.conf.sample: diskstats() corrected 2004-05-29[lcd4linux @ 2004-05-29 01:07:56 by reinelt]reinelt2-21/+25 bug in plugin_diskstats fixed 2004-05-29[lcd4linux @ 2004-05-29 00:27:14 by reinelt]reinelt8-11/+214 added plugin_diskstats.c 2004-05-28[lcd4linux @ 2004-05-28 14:38:10 by reinelt]reinelt2-1/+41 Status and Changelog Update